﻿<%@ WebHandler Language="C#" Class="Demo2" %>

using System;
using System.Web;
using System.Xml;
using System.IO;

public class Demo2 : IHttpHandler {
    
    public void ProcessRequest (HttpContext context) {
        string cmd = context.Request.QueryString["cmd"];
        if (cmd == "xml")
        {
            DoXml(context);
        }
        else if (cmd == "json")
        {
            DoJSON(context);
        }            
        else
        {
            context.Response.Write("unknown command");
        }
    }
    private void DoXml(HttpContext context)
    {
        context.Response.ContentType = "text/xml";
        XmlDocument xml = new XmlDocument();
        XmlElement dates = xml.CreateElement("dates");
        xml.AppendChild(dates);
        XmlElement full = xml.CreateElement("full");
        full.InnerText = DateTime.Now.ToString();
        XmlElement shortDate = xml.CreateElement("shortDate");
        shortDate.InnerText = DateTime.Now.ToShortDateString();
        dates.AppendChild(full);
        dates.AppendChild(shortDate);
        StringWriter sw = new StringWriter();
        XmlTextWriter tw = new XmlTextWriter(sw);
        tw.Indentation = 4;
        tw.Formatting = Formatting.Indented;
        dates.WriteTo(tw);
        context.Response.Write(sw.ToString());                 
    }
    private void DoJSON(HttpContext context)
    {
        context.Response.ContentType = "text/plain";
        string json = @"
        jsonTempVarName = 
        {
            Vorname  : 'Albert',
            Nachname : 'Weinert',
            Homepage : 'http://der-albert.com',
            Mails : ['info@der-albert.com', 'albert.weinert@awn-design.biz']                     
        };
        ";
        context.Response.Write(json);              
    }
    public bool IsReusable {
        get {
            return false;
        }
    }

}